Sentinel Wheeler:
In the beginning, Einhasad created the Elves, and the union of the world's oldest tree and the first Elf became the Mother Tree. All the Elves afterwards were born from the leaves of the Mother Tree Glade.
Perhaps that is why, when we rest under the shade of the Mother Tree Glade, our bodies and souls all feel at ease. When we are tired and weary, there is nothing better than resting under the shade of the Mother Tree Glade.
Return